import Request from '../common/request.js';
let request = new Request().http

export function getTalentByToken(data) {
	return request('/app/talent/getTalentByToken', data, 'GET');
}
//获取指定达人详情
export function getTalentByUserId(data) {
	return request('/app/talent/getTalentByUserId', data, 'GET');
}
// 分页获取达人视频列表
export function getVideoList(data) {
	return request('/app/talent/getVideoList', data, 'GET');
}
// 达人上传视频
export function uploadOSSTalent(data) {
	return request('/app/talent/uploadOSSTalent', data, 'POST', 'application/json;charset=UTF-8');
}

//达人提交视频信息
export function talentVideo(data) {
	return request('/app/talent/talentVideo', data, 'POST', 'application/json;charset=UTF-8');
}

//修改达人信息
export function updateTalent(data) {
	return request('/app/talent/updateTalent', data, 'POST', 'application/json;charset=UTF-8');
}

// 关注/取消关注达人
export function doFollow(data) {
	return request('/app/talent/doFollow', data, 'POST', 'application/json;charset=UTF-8');
}

// 获取是否关注
export function checkFollow(data) {
	return request('/app/talent/checkFollow', data, 'GET');
}