import Request from '../common/request.js';
let request = new Request().http


//获取我的消息列表
 export function getMsg(){
	 let data = {};
 	 return request('/app/crmMsg/getMsg',data,'GET');
 }
 
 

//获取我的消息列表
 export function getMyCrmMsgList(msgType,page = 1, size = 10){
	 let data = {"page":page,"pageSize":size,"msgType":msgType};
	 //data=Object.assign(parmars, data);
 	 return request('/app/crmMsg/getMsgList',data,'GET');
 }
 
 
 //已读
 export function doRead(msgType) {
	 let params = {"msgType":msgType};
 	 return request('/app/crmMsg/doRead',params,'POST','application/json;charset=UTF-8');
 }
 
 //已读
 export function doReadByMsgId(msgId) {
 	 let params = {"msgId":msgId};
 	 return request('/app/crmMsg/doRead',params,'POST','application/json;charset=UTF-8');
 }
 

 //全部已读
 export function setAllRead() {
 	 let params = {};
 	 return request('/app/crmMsg/setAllRead',params,'POST','application/json;charset=UTF-8');
 }