import Request from '@/common/request.js';
let request = new Request().http

// 查询健康监测数据类型列表
export function monitorDataType(data){
	return request('/watch-api/app/watch/monitorDataType',data,'GET')
}

// 获取血糖数据
export function bgInfo(data){
	return request('/watch-api/app/watch/bg/list',data,'GET')
}

// 获取血糖数据(分页)
export function bgInfoPage(data){
	return request('/watch-api/app/watch/bg/page',data,'GET')
}

// 获取血糖异常数据
export function bgAbnormaInfo(data){
	return request('/watch-api/app/watch/bg/count',data,'GET')
}

// 获取血压数据
export function bpInfo(data){
	return request('/watch-api/app/watch/bp/list',data,'GET')
}

// 获取血压数据(分页)
export function bpInfoPage(data){
	return request('/watch-api/app/watch/bp/page',data,'GET')
}

// 获取血压异常数据
export function bpAbnormaInfo(data){
	return request('/watch-api/app/watch/bp/count',data,'GET')
}

// 获取心率数据
export function heartRateInfo(data){
	return request('/watch-api/app/watch/heart/rate/list',data,'GET')
}

// 获取心率数据提醒统计
export function heartRateCount(data){
	return request('/watch-api/app/watch/heart/rate/count',data,'GET')
}

// 获取血氧数据
export function spInfo(data){
	return request('/watch-api/app/watch/sp/list',data,'GET')
}

// 获取血氧分时间段常数据统计
export function spCount(data){
	return request('/watch-api/app/watch/sp/count',data,'GET')
}

// 获取睡眠分时间段查询
export function sleepInfo(data){
	return request('/watch-api/app/watch/sleep/list',data,'GET')
}

// 查询某个时间段温度数据
export function temperature(data){
	return request('/watch-api/app/watch/temperature/list',data,'GET')
}

// 查询某个时间段尿酸数据
export function ualist(data){
	return request('/watch-api/app/watch/ua/list',data,'GET')
}

// 尿酸分时间段数据统计
export function uaCount(data){
	return request('/watch-api/app/watch/ua/count',data,'GET')
}

// 尿酸分时间段查询 分页
export function uaPageList(data){
	return request('/watch-api/app/watch/ua/page',data,'GET')
}

// 活动详情统计
export function sportDataByDate(data){
	return request('/watch-api/app/watch/sport/dataByDate',data,'GET')
}

// 根据运动类型查详情
export function sportDataByType(data){
	return request('/watch-api/app/watch/sport/dataByType',data,'GET')
}

// 查询某个时间段压力数据
export function fatigueInfo(data){
	return request('/watch-api/app/watch/fatigue/list',data,'GET')
}

// 查询某个时间段压力异常数据统计
export function fatigueCount(data){
	return request('/watch-api/app/watch/fatigue/count',data,'GET')
}