import Request from '@/common/request.js';
let request = new Request().http

// 查询预警 分页
export function queryAlarmPageByStatus(data){
	return request('/watch-api/app/watch/queryAlarmPageByStatus',data,'GET')
}

// 解除预警(设置已读)
export function setAlarmStatusById(data){
	return request('/watch-api/app/watch/setAlarmStatusById',data,'POST','application/json;charset=UTF-8')
}

// 删除预警
export function deleteByIds(data){
	return request('/watch-api/app/watch/deleteByIds',data,'POST','application/json;charset=UTF-8')
}


// 一键设置已读
export function setAlarmStatusByDeviceId(data){
	return request('/watch-api/app/watch/setAlarmStatusByDeviceId',data,'GET')
}