import Request from '@/common/request.js';
let request = new Request().http

// 登录
export function login(data){
	return request('/watch-api/app/user/login',data,'POST','application/json;charset=UTF-8')
}

// 微信
export function loginByWeChat(data){
	return request('/watch-api/app/user/loginByWeChat',data,'POST','application/json;charset=UTF-8')
}

// 用户信息
export function getWatchUserInfo(data){
	return request('/watch-api/app/watchUser/getUserInfo',data,'GET')
}

// 自己绑定手表
export function editDevice(data){
	return request('/watch-api/app/watchUser/editDevice',data,'POST','application/json;charset=UTF-8')
}

// 修改用户信息
export function editUser(data){
	return request('/watch-api/app/watchUser/editUser',data,'POST','application/json;charset=UTF-8')
}

// 修改用户信息（绑定家人）
export function editMyfamily(data){
	return request('/watch-api/app/watchUser/editUser',data,'POST','application/json;charset=UTF-8')
}
 
// 验证预警手表（绑定需要成功后调用修改用户信息接口，自己绑定不用调用修改用户信息接口）
export function getStatus(data){
	return request('/watch-api/app/watch/getStatus',data,'GET')
}

// 我的家人
export function getFamWatchInfo(data){
	return request('/watch-api/app/watchUser/getWatchInfo',data,'GET')
}

// 修改我的家人信息
export function editFamilyUser(data){
	return request('/watch-api/app/watchUser/editFamilyUser',data,'POST','application/json;charset=UTF-8')
}