import Request from '../common/request.js';
let request = new Request().http
 
 export function login(data) {
 	 return request('/app/app/login',data,'POST','application/json;charset=UTF-8');
 }
 
 export function loginByWeChat(data) {
 	 return request('/app/app/loginByWeChat',data,'POST','application/json;charset=UTF-8');
 }
 
 export function loginByMp(data) {
 	 return request('/app/wx/loginByMp',data,'POST','application/json;charset=UTF-8');
 }
 
 export function setPhone(data) {
 	 return request('/app/app/setPhone',data,'POST','application/json;charset=UTF-8');
 }
 
 export function bindWechat(data) {
 	 return request('/app/app/bindWeChat',data,'POST','application/json;charset=UTF-8');
 }
 
 
 export function register(data) {
 	 return request('/app/app/register',data,'POST','application/json;charset=UTF-8');
 }
 
 export function getUserInfo() {
 	 return request('/app/user/getUserInfo',null,'GET');
 }
 
 export function checkLogin() {
 	 return request('/app/app/checkLogin',null,'GET');
 }
 export function getAllUsers(data) {
 	 return request('/app/app/getAllUsers',data,'GET');
 }
 export function getUserInfoByUserId(data) {
 	 return request('/app/app/getUserInfoByUserId',data,'GET');
 }
 
 export function setPwd(data) {
 	 return request('/app/app/setPwd',data,'POST','application/json;charset=UTF-8');
 }
 
 export function setHeadImg(data) {
 	 return request('/app/app/setHeadImg',data,'POST','application/json;charset=UTF-8');
 }
 
 export function setUserInfo(data) {
 	 return request('/app/user/editUser',data,'POST','application/json;charset=UTF-8');
 }
 
 
 export function editQrCode(data) {
 	 return request('/app/app/editQrCode',data,'POST','application/json;charset=UTF-8');
 }
 
 
 export function getAlipayQrImg() {
 	 return request('/app/storePayment/getAlipayQrImg',null,'GET');
 }
 
 
 export function getMyCardList(data) {
 	 return request('/app/app/getMyCardList',data,'GET');
 }
 
 export function delMyCard(cId) {
 	 return request('/app/app/delMyCard?cardId='+cId,null,'POST');
 }
 
 export function getAppletScheme(cId) {
 	 return request('/app/app/getAppletScheme?cardId='+cId,null,'GET');
 }
 
 export function getShortUrl(url,title) {
 	 return request('/app/app/getShortUrl?url='+url+'&title='+title,null,'GET');
 }
 
 
 export function getMyCouponList(data) {
 	 return request('/app/user/getMyCouponList',data,'GET');
 }
 
 export function getMyEnableCouponList(data) {
 	 return request('/app/user/getMyEnableCouponList',data,'GET');
 }
 
 export function registerDoctor(data) {
 	return request('/app/user/registerDoctor',data,'POST','application/json;charset=UTF-8');
 }
 
 export function getMyCouponCount() {
 	 return request('/app/user/getMyCouponCount',null,'GET');
 }
 
 //查看推送设置
 export function getUserPushSetting() {
 	 return request('/app/user/getUserPushSetting',null,'GET');
 }
 
 
 export function editUserPushSetting(data) {
 	 return request('/app/user/editUserPushSetting',data,'POST','application/json;charset=UTF-8');
 }
 
 // 健康管家二维码
 export function getAppContactWay(userId) {
 	 return request('/app/user/getAppContactWay/'+userId,null,'GET');
 }
 
 // 退出登录 清除jpushId
 export function logoutjpushId() {
 	 return request('/app/app/logout',null,'GET');
 }
 
 // 最新通知及未读条数
 export function getLastAndReadStatus() {
 	 return request('/app/uniPushLog/getLastAndReadStatus',null,'GET');
 }
 
 // 查询所有通知
 export function getPushLog(data) {
 	 return request('/app/uniPushLog/list',data,'GET');
 }
 
 // 通知 一键已读
 export function getPushLogRead(data) {
 	 return request('/app/uniPushLog/setIsRead',data,'POST','application/json;charset=UTF-8');
 }
 
// 更新jpushId
 export function updatePushId(data) {
 	 return request('/app/updatePushId',data,'GET');
 }
 
 // 更新用户是否绑定app
  export function updateHistoryApp(data) {
  	 return request('/app/user/updateHistoryApp',data,'GET');
  }
  
 //新增弹窗记录
 export function popAd(data) {
 	 return request('/app/pop/add',data,'GET');
 }
 
 // 判断是否需要弹窗
 export function isCreateAd(data) {
 	 return request('/app/pop/isCreate',data,'GET');
 }
  
  
 
 
 
 

 
 
 
 
 