// uni-app请求封装
export default class Request {
	http(router, data = {}, method,contentType) {
		let that = this;
		let path ='https://api.cdwjyyh.com';//app
		// let path = 'http://p466c346.natappfree.cc'
		// #ifdef H5
			path ='https://h5api.his.cdwjyyh.com';//h5接口
			// path ='https://api.cdwjyyh.com';//app
		// #endif
		
		// 看课模块
		if(router.indexOf("/app/course/getRealLink") != -1 ) {
			path ='https://h5api.his.cdwjyyh.com';
		}
		// 腕表模块
		if(router.indexOf("/watch-api") != -1 ) {
			router = router.replace('/watch-api','')
			// path = ' http://etnd9w.natappfree.cc'
			path = 'http://42.194.245.189:8114'
		}
		// doctorAi模块
		if(router.indexOf("/doctorAi") != -1 ) {
			router = router.replace('/doctorAi','')
			path = 'http://doctor.ai.cdwjyyh.com'
		}
		uni.setStorageSync('requestPath',path);

		// uni.showLoading({
		// 	  title: '加载中'
		// });
		return new Promise((resolve, reject) => {
			let token = uni.getStorageSync('AppToken');
			let CompanyUserToken = uni.getStorageSync('CompanyUserToken');
			var httpContentType='application/x-www-form-urlencoded';
			if(contentType!=undefined){
				httpContentType=contentType;
			}
			var routers=router;
			// console.log("---qxj request url:"+`${path}${router}`+" params:"+JSON.stringify(data));
			// console.log(" token:"+token);
			// 请求
			uni.request({
				header: {
					// 'Content-Type': 'application/x-www-form-urlencoded',
					'Content-Type': httpContentType,
					'AppToken': token,
					'CompanyUserToken':CompanyUserToken //业务员token
				},
				url: `${path}${router}`,
				data: data,
				method: method,
				success: (res) => {
					//收到开发者服务器成功返回的回调函数
					if(res.data.code==401){ //没有权限直接退出到登录界面
						let pages = getCurrentPages();
						let url = pages[ pages.length - 1]; //当前页页面实例
						//如果登录界面已打开,自动关闭
						if(url!=undefined&&url.route=="pages/auth/login"){
							resolve(res.data);
							return;
						}
					}
					if(res.token) {
						uni.setStorageSync('AppToken',res.token)
					}
					resolve(res.data)
				},
				fail:(res) =>{
					//接口调用失败的回调函数
				},
				complete:(res) =>{
					//接口调用结束的回调函数（调用成功、失败都会执行）
					if (res.data&&res.data.code == 401) {
						//console.log("qxj 401");
					    uni.$emit('loginOut');
						return false
					}
					uni.hideLoading();
				}
				
			});
	
	
		})
		 
	}
	
}
