import { createStore, Store } from 'vuex';
// 持久化管理
import createPersistedstate from 'vuex-persistedstate'
import modules from './modules';
import { timState } from './modules/timStore';
import { newMsgState } from './modules/newMsg';

export interface State {
  timStore: timState;
  newMsg: newMsgState;
}

export default createStore <State>({
  modules
})
  