import Request from '../common/request.js';
let request = new Request().http

// 根据当前用户获取用户的会话列表
export function getAllRolesListByUserId() {
	return request('/doctorAi/app/fsInterestAi/getAllRolesListByUserId', null, 'GET');
}

// 根据会话id获取会话的详细信息
export function getSessionDetailInfo(sessionId,roleId) {
	return request('/doctorAi/app/fsInterestAi/getSessionDetailInfoBySessionIdAndRoleId/'+sessionId+'/'+roleId,null,'GET');
}

// 推荐AI
export function getRecommendRoleList() {
	return request('/doctorAi/app/fsInterestAi/getRecommendRoleList',null,'GET');
}