import Request from '../common/request.js';
let request = new Request().http
 
 export function login(data) {
 	 return request('/app/companyUser/login',data,'POST','application/json;charset=UTF-8');
 }
 
 export function getUserInfo(data) {
 	 return request('/app/companyUser/getUserInfo',data,'GET','application/json;charset=UTF-8');
 }
 export function getQrImg(data) {
 	 return request('/app/companyUser/getQrImg',data,'GET','application/json;charset=UTF-8');
 }
 
 export function getCompanyUserCard(data) {
 	 return request('/app/companyUser/getCompanyUserCard',data,'GET','application/json;charset=UTF-8');
 }
 export function bindCompanyUser(data) {
 	 return request('/app/companyUser/bindCompanyUser',data,'POST','application/json;charset=UTF-8');
 }
 export function addVoicePrintUrl(data) {
 	 return request('/app/companyUser/addVoicePrintUrl',data,'POST','application/json;charset=UTF-8');
 }
 // 获取绑定
 export function getBindInfo(data) {
 	 return request('/app/companyUser/getBindInfo',data,'GET','application/json;charset=UTF-8');
 }
 // 绑定销售
 export function bindCompanyFsUser(id) {
 	 return request('/app/companyCompanyFsUser/bind/'+id,null,'GET','application/json;charset=UTF-8');
 }
  //  模板语音上传接口
 export function companyUserVoiceNew(data) {
 	 return request('/app/companyUser/companyUserVoiceNew',data,'GET','application/json;charset=UTF-8');
 }
 // 模板语音上传接口
 export function companyUserVoice(data) {
 	 return request('/app/companyUser/companyUserVoice',data,'GET','application/json;charset=UTF-8');
 }
 // 获取语音列表
 export function querySopVoiceList(data) {
 	 return request('/app/companyUser/querySopVoiceList',data,'GET','application/json;charset=UTF-8');
 }
 // 获取语音详情
 export function queryDetail(id) {
 	 return request('/app/companyUser/query/'+id,null,'GET','application/json;charset=UTF-8');
 }
  
 
 