import Request from '@/common/request.js';
let request = new Request().http

//健康报告-个人信息
export function getUserByDeviceId(data){
	return request('/watch-api/app/watchUser/getUserByDeviceId',data,'GET')
}

// 健康报告-查询数据月份
export function queryMonthByDeviceId(data){
	return request('/watch-api/app/watch/queryMonthByDeviceId',data,'GET')
}

// 获取文章分类列表
export function getArticleCateList(){
	return request('/watch-api/app/article/getArticleCateList',data,'GET')
}

// 获取文章列表
export function getArticleList(data){
	return request('/watch-api/app/article/getArticleList',data,'GET')
}

// 获取文章详情
export function getArticleById(data){
	return request('/watch-api/app/article/getArticleById',data,'GET')
}

//健康周报-步数,卡路里,睡眠等信息
// export function getUserHealthInfoByDeviceId(data){
// 	return request('/watch-api/watch/sport/data/getUserHealthInfoByDeviceId',data,'GET')
// }
export function getUserHealthInfoByDeviceId(data){
	return request('/watch-api/app/watch/getUserHealthInfoByDeviceId',data,'GET')
}

//健康周报-文字解析
export function queryHealthReport(data){
	return request('/watch-api/app/watch/queryHealthReport',data,'GET')
}