import Request from '@/common/request.js';
let request = new Request().http

// 首页轮播绑定信息
export function getInfoByDeviceIds(data) {
	return request('/watch-api/app/watch/getInfoByDeviceIds',data,'GET')
}

// 健康风险预警信息(分页)
export function alarmInfo(data) {
	return request('/watch-api/app/watch/queryAlarmPageByStatus',data,'GET')
}

// 首页健康监测数据
export function queryIndexWatchData(data) {
	return request('/watch-api/app/watch/queryIndexWatchData',data,'GET')
}

// 根据健康监测数据类型id批量查询详情
export function getBatchData(data) {
	return request('/watch-api/app/watch/getBatchData',data,'GET')
}


// 设备管理首页查询
export function getSetUpInfoByDeviceId(data) {
	return request('/watch-api/app/watch/getSetUpInfoByDeviceId',data,'GET')
}

// 设备管理刷新
export function refresh(data){
	return request('/watch-api/app/watch/refresh',data,'GET')
}

// 设置久坐
export function setSedentary(data){
	return request('/watch-api/app/watch/sedentary/set',data,'POST','application/json;charset=UTF-8')
}

// 跌倒检测
export function fallcheck(data){
	return request('/watch-api/app/watch/fallcheck',data,'GET')
}

// 心脏健康
export function autoaf(data){
	return request('/watch-api/app/watch/autoaf',data,'GET')
}

// 心率指导
export function hralarm(data){
	return request('/watch-api/app/watch/hralarm',data,'POST','application/json;charset=UTF-8')
}

// 血氧预警
export function spo2alarm(data){
	return request('/watch-api/app/watch/spo2alarm',data,'POST','application/json;charset=UTF-8')
}

// 一键省电
export function power(data){
	return request('/watch-api/app/watch/power',data,'POST','application/json;charset=UTF-8')
}

// 日期与时间
export function setDeviceTime(data){
	return request('/watch-api/app/watch/setDeviceTime',data,'GET')
}

// 翻腕亮屏
export function lcdgesture(data){
	return request('/watch-api/app/watch/lcdgesture',data,'GET')
}

// 单位设置
export function setDeviceUnit(data){
	return request('/watch-api/app/watch/setDeviceUnit',data,'GET')
}

// 新手指导
export function guidList(){
	return request('/watch-api/app/watch/guidList',null,'GET')
}

// 手表模式
export function setDeviceMode(data){
	return request('/watch-api/app/watch/setDeviceMode',data,'POST','application/json;charset=UTF-8')
}

// 设备信息 - 手表版本
export function getDeviceData(data){
	return request('/watch-api/app/watch/getDeviceData',data,'GET')
}

// 设备信息二维码json
export function getDeviceDataJson(data){
	return request('/watch-api/app/watch/getDeviceDataJson',data,'GET')
}

// 修改SIM
export function updateSim(data){
	return request('/watch-api/app/watch/updateSim',data,'GET')
}

// 出厂设置
export function resetFactory(data){
	return request('/watch-api/app/watch/factory/reset',data,'GET')
}


// 下发通讯录
export function syncPhonebook(data){
	return request('/watch-api/app/watch/phonebook/sync',data,'POST','application/json;charset=UTF-8')
}

// 情况通讯录
export function clearPhonebook(data){
	return request('/watch-api/app/watch/phonebook/clear',data,'GET')
}

// 添加闹钟
export function setClockalarm(data){
	return request('/watch-api/app/watch/clockalarm/set',data,'POST','application/json;charset=UTF-8')
}

// 解绑
export function removeDevice(data){
	return request('/watch-api/app/watchUser/removeDevice',data,'GET')
}

// 获取sim手机号
export function getSim(data){
	return request('/watch-api/app/watch/getSim',data,'GET')
}

// 运动轨迹
export function queryGnssByDateAndDeviceId(data){
	return request('/watch-api/app/watch/queryGnssByDateAndDeviceId',data,'GET')
}

// 首页运动记录(当天)
export function querySportRecord(data){
	return request('/watch-api/app/watch/sport/queryRecord',data,'GET')
}

// 首页运动/目标 (当天)
export function querySportData(data){
	return request('/watch-api/app/watch/sport/data',data,'GET')
}